Skip to main content
GET
/
aws
/
managedDatabase
/
instanceType
/
{region}
/
{databaseType}
List AWS available managed database instance types
curl --request GET \
  --url https://api.qovery.com/aws/managedDatabase/instanceType/{region}/{databaseType} \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "name": "db.t3.medium"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

region
string
required

region name

Example:

"us-east-2"

databaseType
string
required

Database type

Example:

"MYSQL"

Response

list AWS available managed database instance types

results
object[]